import { types, NodePath } from '@babel/core';
import { Targets } from '@babel/helper-compilation-targets';

interface Pieces {
    webFetch: (fetch: types.Expression) => types.Expression;
    nodeFsSync: (read: types.Expression) => types.Expression;
    nodeFsAsync: () => types.Expression;
}
interface Builders {
    buildFetch: (specifier: types.Expression, path: NodePath) => types.Expression;
    buildFetchAsync: (specifier: types.Expression, path: NodePath) => types.Expression;
    needsAwait: boolean;
}
declare function importToPlatformApi(targets: Targets, transformers: Pieces, toCommonJS: boolean): {
    buildFetch: (specifier: types.Expression, path: NodePath) => types.Expression;
    buildFetchAsync: (specifier: types.Expression, path: NodePath) => types.Expression;
    needsAwait: boolean;
};
declare function buildParallelStaticImports(data: Array<{
    id: types.Identifier;
    fetch: types.Expression;
}>, needsAwait: boolean): types.VariableDeclaration | null;

export { type Builders, type Pieces, buildParallelStaticImports, importToPlatformApi };
